<template>
    <div class="note-list editor home" :class="{'empty':!notes || notes.length < 1}">
        <note-placeholder
            @selected="passSelectedNote"
            :note="note"
            v-for="(note, index) in notes"
            :key="index"
        ></note-placeholder>
        <div v-if="!notes || notes.length < 1"></div>
        <div v-if="!notes || notes.length < 1" class="empty">
            <span class="title">List is Empty</span>
            <div class="action">
                <span class="title">Click</span>
                <app-icon size="2x" icon="plus-circle"></app-icon>
            </div>
        </div>
        <div v-if="!notes || notes.length < 1"></div>
    </div>
</template>

<script lang='ts'>
import Vue from 'vue'
import Component from 'vue-class-component'
import { Prop } from 'vue-property-decorator'
import { INote } from '@/store/types/notebooks'
import NotePlaceholder from '@/app/Editor/components/primitives/NotePlaceholder.vue'

@Component({
    components: { NotePlaceholder },
})
export default class App extends Vue {
    // Props

    @Prop() notes: INote[] | undefined

    // Methods

    passSelectedNote(note: INote) {
        this.$emit('selected', note)
    }
}
</script>